package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import android.widget.BaseAdapter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface HomeConstact {
	interface View extends BaseView<Presenter> {
		void setAdapter(BaseAdapter adapter);
		void setHomeTitle(String homeTitle);
		void setLogoutVisibility(int visibility);
		void finishPage();
	}

	interface Presenter extends BasePresenter {
		void onItemClickListener(int position);
		void logoutClick();
		void onNewIntent(Intent intent);
	}

}
